CpFit program is designed for approximation of heat capacity experimental data
using the nonlinear least squares method. The program uses Einstein-Plank functions
based model suggested by Voronin and Kutsenok:

[Voronin G.F., Kutsenok I.B. Universal Method for Approximating the Standard
Thermodynamic Functions of Solids // J. Chem. Eng. Data. 2013. 58(7). 2083--2094.](http://dx.doi.org/10.1021/je400316m)

CODATA 2018 universal gas constant value (R = 8.314462618) is used.

CpFit program uses [levmar library][http://users.ics.forth.gr/~lourakis/levmar/] (Levenberg-Marquardt method
implementation) as the nonlinear least squares engine and [wxWidgets library][http://www.wxwidgets.org/] for GUI programming.
CpFit is a crossplatform software that can be compiled under different platforms
using CMake build system. For the current version its compilation by MinGW in MS Windows and
by GCC in GNU/Linux were tested. The only WinNT dependent thing in CpFit is working
with Clipboard.

System requirements:

* CMake 3.0 or higher
* GCC 4.5.2 or higher
* wxWidgets 3.0.2 or higher
* levmar 2.6 or higher
* Lua 5.3.x

Recommended settings for wxWidgets 3.0 compilation under MS Windows:

    mingw32-make -f makefile.gcc SHARED=0 UNICODE=1 USE_POSTSCRIPT=1 USE_SVG=1 BUILD=release

CpFit program also can be compiled under GNU/Linux by means of wxGTK wxWidgets port.

You will also require Doxygen and MathJax to generate documentation from the source code.

Compilation
-----------

To compile CpFit do the next steps:

* Compile wxWidgets library
* Compile `levmar` library and drop `levmar.h` and `liblevmar.a` to the folder with Makefile
* Compile `lua53` library, drop Lua header files into `lua` folder and `liblua.a` (or `lua53.dll`) to the folder with Makefile
* Install MathJax into `mathjax` folder
* Manually edit `Makefile` and add your wxWidgets path into it
* `make`
* `Doxygen`

For Ubuntu 20.04:

* Install libwxgtk3.0... package (wxWidgets)
* Install lublua5.3-dev package (Lua 5.3)
* Install levmar library in ../levmar directory
* `CMake CMakeLists.txt`
* `Doxygen`


Copyright
---------

(C) 2016-2020 Alexey L. Voskov

Laboratory of Chemical Thermodynamics, Department of Chemistry,
Lomonosov Moscow State University, Moscow, Russia, 119991

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program.  If not, see [http://www.gnu.org/licenses/];
