/**
 * \file
 * \brief Different useful functions (utilities) for GUI
 *
 * \author Alexey L. Voskov (alvoskov@gmail.com)
 * \copyright (C) 2016-2020 Alexey L. Voskov
 *
 * Laboratory of Chemical Thermodynamics, Department of Chemistry,
 *
 * Lomonosov Moscow State University, Moscow, Russia, 119991
 *
 * This file is the part of the CpFit program
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/);
 */

#ifndef __MISC_H
#define __MISC_H
#include <wx/wx.h>

class wxGridAutoColSize : public wxGrid
{
public:
	wxGridAutoColSize(wxWindow *parent, wxWindowID id,
		const wxPoint &pos = wxDefaultPosition, const wxSize &size = wxDefaultSize);
	void OnSize(wxSizeEvent &event);
	wxDECLARE_EVENT_TABLE();
};

void ResizeWxGridCols(wxGrid *obj);

#ifndef __WXMSW__
#include "cpfit.xpm"
#endif
#endif      
